var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import ServiceBase from '../base';
import { httpResultProxy } from '../proxy';
import { AddinsListProxy, AddinsProxy } from '../proxies/addins-proxy';
var ACCOUNTS = '/accounts';
var PROJECTS = '/projects';
var ADDINS = '/addins';
var AddinsService = /** @class */ (function (_super) {
    __extends(AddinsService, _super);
    function AddinsService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.getAddinsMainBar = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: ACCOUNTS + "/" + data.accountId + ADDINS + "/search",
                params: data.data,
            });
            return httpResultProxy(promise, AddinsListProxy);
        };
        _this.getProjectAddinMainBar = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: ACCOUNTS + "/" + data.accountId + PROJECTS + "/" + data.projectId + ADDINS + "/search",
                params: data.data,
            });
            return httpResultProxy(promise, AddinsListProxy);
        };
        // PUT /accounts/{accountId}/addins/{id} 根据插件Id修改插件。
        _this.updateAddinName = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: ACCOUNTS + "/" + data.accountId + ADDINS + "/" + data.addinId,
                data: data.data,
            });
            return httpResultProxy(promise, AddinsProxy);
        };
        // PUT /addins/sequence 修改插件的顺序。
        _this.updateAddinSequence = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: ACCOUNTS + "/" + data.accountId + ADDINS + "/order",
                data: data.data,
            });
            return httpResultProxy(promise);
        };
        // PUT /accounts/{accountId}/addins/{addinId}/state禁用/启用组织插件。
        _this.switchAccountAddinState = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: ACCOUNTS + "/" + data.accountId + ADDINS + "/" + data.addinId + "/state",
                data: data.data,
            });
            return httpResultProxy(promise);
        };
        // PUT /accounts/{accountId}/projects/{projectId}/addins/{addinId} 修改项目插件别名。
        _this.updateProjectAddinName = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: ACCOUNTS + "/" + data.accountId + PROJECTS + "/" + data.projectId + ADDINS + "/" + data.addinId,
                data: data.data,
            });
            return httpResultProxy(promise, AddinsProxy);
        };
        // PUT /accounts/{accountId}/projects/{projectId}/addins/order项目插件排序。
        _this.updateProjectAddinSequence = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: ACCOUNTS + "/" + data.accountId + PROJECTS + "/" + data.projectId + ADDINS + "/order",
                data: data.data,
            });
            return httpResultProxy(promise);
        };
        // PUT /accounts/{accountId}/projects/{projectId}/addins/{addinId}/state禁用/启用项目插件。
        _this.switchProjectAddinState = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: ACCOUNTS + "/" + data.accountId + PROJECTS + "/" + data.projectId + ADDINS + "/" + data.addinId + "/state",
                data: data.data,
            });
            return httpResultProxy(promise);
        };
        return _this;
    }
    return AddinsService;
}(ServiceBase));
export { AddinsService };
//# sourceMappingURL=addins.js.map