var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import ServiceBase from '../base';
import { httpResultProxy } from '../proxy';
var AppService = /** @class */ (function (_super) {
    __extends(AppService, _super);
    function AppService() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    AppService.prototype.getAllApp = function (data) {
        var promise = _super.prototype.get.call(this, {
            url: "/apps/search",
            params: data.data,
        });
        return httpResultProxy(promise);
    };
    AppService.prototype.getAllAccountApp = function (data) {
        var promise = _super.prototype.get.call(this, {
            url: "/accounts/" + data.accountId + "/apps",
            params: data.data,
        });
        return httpResultProxy(promise);
    };
    AppService.prototype.installAppToAccount = function (data) {
        var promise = _super.prototype.post.call(this, {
            url: "/accounts/" + data.accountId + "/apps/" + data.appId,
            data: data.data,
        });
        return httpResultProxy(promise);
    };
    AppService.prototype.unloadingAccountApp = function (data) {
        var promise = _super.prototype.delete.call(this, {
            url: "/accounts/" + data.accountId + "/apps/" + data.appId,
        });
        return httpResultProxy(promise);
    };
    AppService.prototype.createApp = function (data) {
        var promise = _super.prototype.post.call(this, {
            url: "/apps/" + data.appId,
            data: data.data,
        });
        return httpResultProxy(promise);
    };
    AppService.prototype.getAppByAppId = function (data) {
        var promise = _super.prototype.get.call(this, {
            url: "/apps/" + data.appId,
        });
        return httpResultProxy(promise);
    };
    AppService.prototype.updateAppState = function (data) {
        var promise = _super.prototype.put.call(this, {
            url: "/apps/" + data.appId + "/state",
            data: data.data,
        });
        return httpResultProxy(promise);
    };
    AppService.prototype.deleteApp = function (data) {
        var promise = _super.prototype.delete.call(this, {
            url: "/apps/" + data.appId,
        });
        return httpResultProxy(promise);
    };
    return AppService;
}(ServiceBase));
export default AppService;
//# sourceMappingURL=app.js.map