var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import qs from 'qs';
import ServiceBase from '../base';
import * as proxy from '../proxy';
var GET_TOKEN = '/auth/authorization';
var CHECK_TOKEN = '/authentication/v3/oauth/check_token';
var REFRESH_TOKEN = '/authentication/v3/oauth/token';
var POST_USERS = '/users';
var AuthService = /** @class */ (function (_super) {
    __extends(AuthService, _super);
    function AuthService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.getOauth2 = function () {
            var promise = _super.prototype.get.call(_this, {
                url: GET_TOKEN,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getOauth2Token = function (code) {
            var promise = _super.prototype.get.call(_this, {
                url: "/auth/handleCode?code=" + code,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.signupUser = function (signupData) {
            var promise = _super.prototype.post.call(_this, {
                url: POST_USERS,
                data: signupData,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.checkOAUth2Token = function (checkData) {
            var promise = _super.prototype.post.call(_this, {
                url: CHECK_TOKEN,
                data: qs.stringify(checkData),
            });
            return proxy.httpResultProxy(promise);
        };
        _this.refreshOauth2Token = function (refreshData) {
            var promise = _super.prototype.post.call(_this, {
                url: REFRESH_TOKEN,
                data: qs.stringify(refreshData),
            });
            return proxy.httpResultProxy(promise);
        };
        _this.reg = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: POST_USERS,
                data: data,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getUserInfo = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: POST_USERS + ("/" + data),
            });
            return proxy.httpResultProxy(promise);
        };
        _this.logout = function () {
            var promise = _super.prototype.get.call(_this, {
                url: '/auth/logout',
            });
            return proxy.httpResultProxy(promise);
        };
        // password token  POST /auth/password
        _this.getToken = function (data) {
            var promise = _super.prototype.postWithoutToken.call(_this, {
                url: "/auth/password",
                data: data,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.refreshToken = function (data) {
            var promise = _super.prototype.postWithoutToken.call(_this, {
                url: "/auth/refresh",
                data: data,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.exchangeSignature = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/token/exchange",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // 发送邮箱消息接口
        _this.postMail = function (data) {
            var promise = _super.prototype.postWithoutToken.call(_this, {
                url: "/mail/code",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // 发送短信消息接口
        _this.postSMS = function (data) {
            var promise = _super.prototype.postWithoutToken.call(_this, {
                url: "/sms/code",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        return _this;
    }
    return AuthService;
}(ServiceBase));
export { AuthService };
//# sourceMappingURL=auth.js.map