var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import ServiceBase from '../base';
import { BoxProfileProxy, BoxProxy } from '../proxies/box-proxy';
import * as proxy from '../proxy';
var BoxService = /** @class */ (function (_super) {
    __extends(BoxService, _super);
    function BoxService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.getBoxInfo = function () {
            var promise = _super.prototype.get.call(_this, {
                url: '/box',
            });
            return proxy.httpResultProxy(promise, BoxProxy);
        };
        _this.updateBoxInfo = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: '/box',
                data: data,
            });
            return proxy.httpResultProxy(promise, BoxProxy);
        };
        _this.getBoxProfile = function () {
            var promise = _super.prototype.getWithoutToken.call(_this, {
                url: '/box/profile',
            });
            return proxy.httpResultProxy(promise, BoxProfileProxy);
        };
        // 创建发票
        _this.postInvoice = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: '/invoice',
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // 删除发票
        _this.deleteInvoice = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: "/invoice/" + data.invoiceId,
            });
            return proxy.httpResultProxy(promise);
        };
        // 更新发票
        _this.putInvoice = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/invoice/" + data.invoiceId,
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // 获取发票列表
        _this.getInvoiceList = function () {
            var promise = _super.prototype.get.call(_this, {
                url: '/invoice',
            });
            return proxy.httpResultProxy(promise);
        };
        // 获取单个发票
        _this.getInvoiceById = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/invoice/" + data.invoiceId,
            });
            return proxy.httpResultProxy(promise);
        };
        // 获取用户订单列表
        _this.getUserOrderList = function () {
            var promise = _super.prototype.get.call(_this, {
                url: '/order',
            });
            return proxy.httpResultProxy(promise);
        };
        /**
         * @获取系统所有用户的订单，供系统管理员使用
         * @memberof BoxService
         */
        _this.getAllUserOrderList = function () {
            var promise = _super.prototype.get.call(_this, {
                url: '/order/all',
            });
            return proxy.httpResultProxy(promise);
        };
        /**
         * @获取指定ID的用户订单
         * @date 2018-09-16
         * @memberof BoxService
         */
        _this.getUserOrder = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/order/" + data.orderId,
            });
            return proxy.httpResultProxy(promise);
        };
        // 更新用户订单
        _this.updateUserOrder = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/order/" + data.orderId,
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        /**
         * 创建订单接口
         * createOrder
         */
        _this.createOrder = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: '/order',
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getOrderPrice = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: '/order/price',
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        /**
         * 获取组织成员的邀请信息,默认根据邀请数倒叙排序
         * getInviteInfo
         */
        _this.getAllInviteInfo = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/stats/accounts/" + data.accountId + "/inviteinfo",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // 获取指定组织成员的邀请信息
        _this.getDesignatedInviteInfo = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/stats/accounts/" + data.accountId + "/members/" + data.memberId + "/inviteinfo",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // POST /myspace/contacts 添加联系人
        _this.addContacts = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: '/myspace/contacts',
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // GET /myspace/contacts/support 获取技术支持
        _this.getContactsSupport = function () {
            var promise = _super.prototype.get.call(_this, {
                url: '/myspace/contacts/support',
            });
            return proxy.httpResultProxy(promise);
        };
        // GET /userinfo 获取用户是否有合约部角色
        _this.getContractRole = function () {
            var promise = _super.prototype.get.call(_this, {
                url: '/userinfo',
            });
            return proxy.httpResultProxy(promise);
        };
        return _this;
    }
    return BoxService;
}(ServiceBase));
export { BoxService };
//# sourceMappingURL=box.js.map