var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as proxy from '../proxy';
import ServiceBase from '../base';
import { CommentPageProxy } from '../proxies/comment--page-proxy';
import { CommentArrayProxy, CommentProxy } from '../proxies/comment-proxy';
import { CommentReplyProxy } from '../proxies/comment-reply-proxy';
var CommentsService = /** @class */ (function (_super) {
    __extends(CommentsService, _super);
    function CommentsService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.addComment = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/projects/" + data.projectId + "/comments",
                data: data,
            });
            return proxy.httpResultProxy(promise, CommentProxy);
        };
        _this.getProjectComments = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/projects/" + data.projectId + "/comments",
            });
            return proxy.httpResultProxy(promise, CommentPageProxy);
        };
        _this.searchComments = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/projects/" + data.projectId + "/comments/batch",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, CommentArrayProxy);
        };
        _this.getComments = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/projects/" + data.projectId + "/comments/search",
                params: data,
            });
            return proxy.httpResultProxy(promise, CommentPageProxy);
        };
        _this.deleteComment = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: "/projects/" + data.projectId + "/comments/" + data.commentId,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.updateComment = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/projects/" + data.projectId + "/comments/" + data.commentId,
                data: data.data,
            });
            return proxy.httpResultProxy(promise, CommentProxy);
        };
        _this.changeCommentStates = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/projects/" + data.projectId + "/comments/" + data.commentId + "/state",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.addResponse = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/projects/" + data.projectId + "/comments/" + data.commentId + "/replies",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, CommentReplyProxy);
        };
        _this.deleteReply = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: "/projects/" + data.projectId + "/comments/" + data.commentId + "/replies/" + data.replyId,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.updateReply = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/projects/" + data.projectId + "/comments/" + data.commentId + "/replies/" + data.replyId,
                data: data.data,
            });
            return proxy.httpResultProxy(promise, CommentReplyProxy);
        };
        _this.updateReplyState = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/projects/" + data.projectId + "/comments/" + data.commentId + "/replies/" + data.replyId + "/state",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        return _this;
    }
    return CommentsService;
}(ServiceBase));
export { CommentsService };
//# sourceMappingURL=comments.js.map