var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import ServiceBase from '../base';
import { FilePageProxy } from '../proxies/file-page-proxy';
import { FilePathProxy } from '../proxies/file-path-proxy';
import { FileProxy } from '../proxies/file-proxy';
import { FolderProxy } from '../proxies/folder-proxy';
import * as proxy from '../proxy';
import { UPLOAD_REQUEST_TIMEOUT } from '../context/context-base';
var GET_FILES = '/accounts';
var PROJECTS = '/projects';
var FilesService = /** @class */ (function (_super) {
    __extends(FilesService, _super);
    function FilesService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.getFolderPath = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/accounts/" + data.accountId + "/path",
                params: data.data,
            });
            return proxy.httpResultProxy(promise, FilePathProxy);
        };
        _this.getFiles = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: GET_FILES + ("/" + data.accountId + "/projects/" + data.projectId + "/folders/" + data.folderId),
            });
            return proxy.httpResultProxy(promise, FilePageProxy);
        };
        _this.postFolder = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: GET_FILES + ("/" + data.accountId + "/projects/" + data.projectId + "/parent/" + data.folderId + "/folder"),
                data: data.body,
            });
            return proxy.httpResultProxy(promise, FolderProxy);
        };
        _this.putFolder = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: GET_FILES + ("/" + data.accountId + "/projects/" + data.projectId + "/folders/" + data.folderId),
                data: data.body,
            });
            return proxy.httpResultProxy(promise, FolderProxy);
        };
        _this.moveFolder = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: GET_FILES + ("/" + data.accountId + "/projects/" + data.projectId + "/parent/" + data.parentId + "/folder"),
                data: data.body,
            });
            return proxy.httpResultProxy(promise, FolderProxy);
        };
        _this.putFile = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: GET_FILES + ("/" + data.accountId + "/projects/" + data.projectId + "/files/" + data.fileId),
                data: data.body,
            });
            return proxy.httpResultProxy(promise, FileProxy);
        };
        _this.deleteFolder = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: GET_FILES + ("/" + data.accountId + "/projects/" + data.projectId + "/folders/" + data.folderId),
            });
            return proxy.httpResultProxy(promise);
        };
        _this.deleteFile = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: GET_FILES + ("/" + data.accountId + "/projects/" + data.projectId + "/files/" + data.id),
                params: data,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.deleteEntries = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: GET_FILES + ("/" + data.accountId + "/projects/" + data.projectId + "/entries"),
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getFileInfo = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: GET_FILES + ("/" + data.accountId + "/projects/" + data.projectId + "/files/" + data.fileId + "/info"),
            });
            return proxy.httpResultProxy(promise, FileProxy);
        };
        _this.getFolderInfo = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: GET_FILES + "/" + data.accountId + "/projects/" + data.projectId + "/folders/" + data.folderId + "/info",
            });
            return proxy.httpResultProxy(promise, FileProxy);
        };
        _this.postCopyFile = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: GET_FILES + ("/" + data.accountId + "/projects/" + data.projectId + "/parent/" + data.id + "/file"),
                data: data.body,
            });
            return proxy.httpResultProxy(promise, FileProxy);
        };
        // POST /accounts/{accountId}/projects/{projectId}/download/signedUrl
        _this.getSigned = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/download/signedUrl",
                data: data.body,
            });
            return proxy.httpResultProxy(promise);
        };
        // POST /projects/{projectId}/file/download/signedUrl 获取带有签证信息的下载文件的URL
        _this.getFileSignedUrl = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: PROJECTS + "/" + data.projectId + "/file/download/signedUrl",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getFolderSignedUrl = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: PROJECTS + "/" + data.projectId + "/download/signedUrl",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.detectFileExists = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/file/detectFileExists",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getFileTypes = function () {
            var promise = _super.prototype.getWithoutToken.call(_this, {
                url: "/filetypes",
            });
            return proxy.httpResultProxy(promise);
        };
        _this.updateFileVersion = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/files/" + data.fileId + "/versions/" + data.version + "/info",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // 文件搜索
        _this.getSearchCondition = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/accounts/" + data.accountId + "/files/search",
            });
            return proxy.httpResultProxy(promise);
        };
        _this.searchFile = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/files/search",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // POST /accounts/{accountId}/projects/{projectId}/folder/import  导入文件夹权限
        _this.importFolder = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/folder/import",
                data: data.data,
                timeout: UPLOAD_REQUEST_TIMEOUT,
            });
            return proxy.httpResultProxy(promise);
        };
        return _this;
    }
    return FilesService;
}(ServiceBase));
export { FilesService };
//# sourceMappingURL=files.js.map