var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import ServiceBase from '../base';
import * as proxy from '../proxy';
import { GroupModelProxy } from '../proxies/group-model-proxy';
import { MessagePageProxy } from '../proxies/message--page-proxy';
var ACCOUNTS = '/accounts';
var GROUPS = '/groups';
var GroupService = /** @class */ (function (_super) {
    __extends(GroupService, _super);
    function GroupService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.getAllGroups = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/groups",
            });
            return proxy.httpResultProxy(promise, GroupModelProxy);
        };
        _this.getDeepGroupMembers = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/groups/" + data.groupId + "/all",
                params: data.data,
            });
            return proxy.httpResultProxy(promise, MessagePageProxy);
        };
        _this.getCurrentGroupMembers = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/groups/" + data.groupId + "/members",
                params: data.data,
            });
            return proxy.httpResultProxy(promise, MessagePageProxy);
        };
        _this.moveMembersToGroup = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/groups/" + data.groupId + "/members",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, GroupModelProxy);
        };
        _this.addGroup = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/parent/" + data.parentId + "/group",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, GroupModelProxy);
        };
        _this.deleteGroup = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/groups/" + data.groupId,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.updateGroupInfo = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/groups/" + data.groupId,
                data: data.data,
            });
            return proxy.httpResultProxy(promise, GroupModelProxy);
        };
        _this.moveGroup = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/groups/" + data.groupId + "/move/parent/" + data.parentId,
            });
            return proxy.httpResultProxy(promise, GroupModelProxy);
        };
        // account Group
        _this.getAllAccountGroups = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: ACCOUNTS + "/" + data.accountId + "/groups",
            });
            return proxy.httpResultProxy(promise, GroupModelProxy);
        };
        _this.createAccountGroup = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: ACCOUNTS + "/" + data.accountId + "/groups",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, GroupModelProxy);
        };
        _this.updateAccountGroup = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: ACCOUNTS + "/" + data.accountId + GROUPS + "/" + data.groupId,
                data: data.data,
            });
            return proxy.httpResultProxy(promise, GroupModelProxy);
        };
        _this.deleteGroupTreeNode = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: ACCOUNTS + "/" + data.accountId + GROUPS + "/" + data.groupId,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.updateUnGroupMembersGroup = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: ACCOUNTS + "/" + data.accountId + GROUPS + "/" + data.groupId + "/members",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.updateGroupMembersGroup = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: ACCOUNTS + "/" + data.accountId + GROUPS + "/" + data.groupId + "/members/move",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getCloserCompanyByGroupId = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: ACCOUNTS + "/" + data.accountId + GROUPS + "/" + data.groupId + "/closedCorporation",
                params: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        return _this;
    }
    return GroupService;
}(ServiceBase));
export { GroupService };
//# sourceMappingURL=group.js.map