var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as proxy from '../proxy';
import ServiceBase from '../base';
var GET_MESSAGES = '/box/messages';
var GET_ACCOUNTS = 'accounts';
var MessagesService = /** @class */ (function (_super) {
    __extends(MessagesService, _super);
    function MessagesService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        // GET /box/messages 获取私信
        _this.getPrivateMessages = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: GET_MESSAGES,
                params: data,
            });
            return proxy.httpResultProxy(promise);
        };
        // POST /box/messages 创建一条私信
        _this.postPrivateMessage = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: GET_MESSAGES,
                data: data,
            });
            return proxy.httpResultProxy(promise);
        };
        //PUT  /box/messages     更新私信状态;已读,未读
        _this.putPrivateMessage = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: GET_MESSAGES,
                data: data,
            });
            return proxy.httpResultProxy(promise);
        };
        //GET  /box/messages/notices   获取通知,包括批准,任务,订阅,广播等产生的消息
        _this.getUserMessages = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: GET_MESSAGES + '/notices',
                params: data,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getUserMessagesByTypes = function (data) {
            var types = data && data.types && data.types.length ? "types=" + data.types.join('&types=') : '';
            var subtypes = data && data.subtypes && data.subtypes.length ? "subtypes=" + data.subtypes.join('&subtypes=') : '';
            var promise = _super.prototype.get.call(_this, {
                url: GET_MESSAGES + "/notices?" + types + "&" + subtypes,
            });
            return proxy.httpResultProxy(promise);
        };
        //PUT /box/messages/state 更新'我的消息'的状态
        _this.putMessageState = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: GET_MESSAGES + '/state',
                data: data,
            });
            return proxy.httpResultProxy(promise);
        };
        // GET /box/messages/count/unread 获取未读消息的数量
        _this.getUnreadMessages = function () {
            var promise = _super.prototype.get.call(_this, {
                url: GET_MESSAGES + '/count/unread?types=0&types=1&types=2&types=3&types=4&types=5',
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getUnreadMessagesByType = function (data) {
            var types = data && data.types && data.types.length ? "types=" + data.types.join('&types=') : '';
            var subtypes = data && data.subtypes && data.subtypes.length ? "subtypes=" + data.subtypes.join('&subtypes=') : '';
            var promise = _super.prototype.get.call(_this, {
                url: GET_MESSAGES + "/count/unread?" + types + "&" + subtypes,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getAccount = function () {
            var promise = _super.prototype.get.call(_this, {
                url: GET_ACCOUNTS,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getProject = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: GET_ACCOUNTS + ("/" + data + "/projects"),
            });
            return proxy.httpResultProxy(promise);
        };
        return _this;
    }
    return MessagesService;
}(ServiceBase));
export { MessagesService };
//# sourceMappingURL=messages.js.map