var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import ServiceBase from '../base';
import { FolderPagePermissionProxy, FolderPermissionProxy } from '../proxies/auth-proxy';
import * as proxy from '../proxy';
var GET_ACCOUNTS = '/accounts';
var PermissionService = /** @class */ (function (_super) {
    __extends(PermissionService, _super);
    function PermissionService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.getPermit = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: GET_ACCOUNTS +
                    ("/" + data.accountId + "/projects/" + data.projectId + "/folders/" + data.folderId + "/privileges"),
            });
            return proxy.httpResultProxy(promise, FolderPagePermissionProxy);
        };
        _this.getFolderPermit = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: GET_ACCOUNTS +
                    ("/" + data.accountId + "/projects/" + data.projectId + "/folders/" + data.folderId + "/privileges/me/info"),
            });
            return proxy.httpResultProxy(promise, FolderPermissionProxy);
        };
        _this.getFilePermit = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: GET_ACCOUNTS +
                    ("/" + data.accountId + "/projects/" + data.projectId + "/files/" + data.fileId + "/privileges/me/info"),
            });
            return proxy.httpResultProxy(promise, FolderPermissionProxy);
        };
        _this.postPermit = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: GET_ACCOUNTS +
                    ("/" + data.accountId + "/projects/" + data.projectId + "/folders/" + data.folderId + "/privileges"),
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.putPermit = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: GET_ACCOUNTS +
                    ("/" + data.accountId + "/projects/" + data.projectId + "/folders/" + data.folderId + "/privileges"),
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // /accounts/{accountId}/projects/{projectId}/folders/{folderId}/privileges/{privilegeId} 删除一个 Folder 下的 Privilege
        _this.deletePermit = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: GET_ACCOUNTS +
                    ("/" + data.accountId + "/projects/" + data.projectId + "/folders/" + data.folderId + "/privileges/" + data.privilegeId),
            });
            return proxy.httpResultProxy(promise);
        };
        // PUT /accounts/{accountId}/projects/{projectId}/files/{fileId}/locking  对指定的 Project 下的 File 锁信息进行修改
        _this.putLocking = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: GET_ACCOUNTS + ("/" + data.accountId + "/projects/" + data.projectId + "/files/" + data.fileId + "/locking"),
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        return _this;
    }
    return PermissionService;
}(ServiceBase));
export { PermissionService };
//# sourceMappingURL=permission.js.map