var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import ServiceBase from '../base';
import { ProjectPageProxy } from '../proxies/project-page-proxy';
import ProjectModelProxy from '../proxies/ProjectModelProxy';
import * as proxy from '../proxy';
// import QuotaProxy from '../proxies/quota-proxy';
var GET_PROJECTS = '/accounts';
var ProjectService = /** @class */ (function (_super) {
    __extends(ProjectService, _super);
    function ProjectService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        // getUserProjects = (accountId) => {
        //   let promise = super.get(GET_PROJECTS + `/${accountId}/members/me/projects`);
        //   return proxy.httpResultProxy(promise, ProjectPageProxy);
        // };
        _this.getUserProjects = function (accountId) {
            var promise = _super.prototype.get.call(_this, {
                url: GET_PROJECTS + ("/" + accountId + "/projects"),
            });
            return proxy.httpResultProxy(promise, ProjectPageProxy);
        };
        _this.getUserProjectByProjectId = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: GET_PROJECTS + ("/" + data.accountId + "/projects/" + data.projectId),
            });
            return proxy.httpResultProxy(promise, ProjectModelProxy);
        };
        _this.getProjectPaging = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: GET_PROJECTS + ("/" + data.accountId + "/projects"),
                params: data.data,
            });
            return proxy.httpResultProxy(promise, ProjectPageProxy);
        };
        _this.postProject = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: GET_PROJECTS + ("/" + data.accountId + "/projects"),
                data: data,
            });
            return proxy.httpResultProxy(promise, ProjectModelProxy);
        };
        _this.putProject = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: GET_PROJECTS + ("/" + data.accountId + "/projects/" + data.projectId),
                data: data,
            });
            return proxy.httpResultProxy(promise, ProjectModelProxy);
        };
        _this.deleteProject = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: GET_PROJECTS + ("/" + data.accountId + "/projects/" + data.projectId + "/state"),
                data: { active: false },
            });
            return proxy.httpResultProxy(promise);
        };
        _this.activeProject = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: GET_PROJECTS + ("/" + data.accountId + "/projects/" + data.projectId + "/state"),
                data: { active: true },
            });
            return proxy.httpResultProxy(promise);
        };
        return _this;
        // projectQuota = (data) => {
        //   let promise = super.get(GET_PROJECTS + `/${data.accountId}/projects/${data.projectId}/quota`);
        //   return proxy.httpResultProxy(promise, QuotaProxy);
        // };
    }
    return ProjectService;
}(ServiceBase));
export { ProjectService };
//# sourceMappingURL=project.js.map