var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as proxy from '../proxy';
import ServiceBase from '../base';
import { SharePageProxy } from '../proxies/share-page-proxy';
var GET_SHARE = '/share';
var GET_SHARES = '/shares';
var GET_ACCOUNTS = '/accounts';
var ShareService = /** @class */ (function (_super) {
    __extends(ShareService, _super);
    function ShareService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.getShare = function (data) {
            // TODO 最后的,shareId是否有用 let promise = super.get(`/projects/${shareId}`, shareId)
            var promise = _super.prototype.getWithoutToken.call(_this, {
                url: GET_ACCOUNTS + ("/" + data.accountId + "/projects/" + data.projectId + "/shares/" + data.sharedId),
            });
            return proxy.httpResultProxy(promise);
        };
        _this.shareVersion = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: GET_ACCOUNTS +
                    ("/" + data.accountId + "/projects/" + data.projectId + "/files/" + data.fileId + "/versions/" + data.version + GET_SHARE),
                data: data.body,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.shareView = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: GET_ACCOUNTS +
                    ("/" + data.accountId + "/projects/" + data.projectId + "/files/" + data.fileId + "/versions/" + data.version + "/views/" + data.viewId + GET_SHARE),
                data: data.body,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.shareFile = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: GET_ACCOUNTS +
                    ("/" + data.accountId + "/projects/" + data.projectId + "/files/" + data.fileId + GET_SHARE),
                data: data.body,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.shareFolder = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: GET_ACCOUNTS + "/" + data.accountId + "/projects/" + data.projectId + "/folders/" + data.folderId + "/share",
                data: data.body,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.shareModel = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: GET_ACCOUNTS + ("/" + data.accountId + "/projects/" + data.projectId + GET_SHARES + "/models"),
                data: data.body,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.deleteShare = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: GET_ACCOUNTS + ("/" + data.accountId + "/projects/" + data.projectId + "/shares/" + data.shareId),
            });
            return proxy.httpResultProxy(promise);
        };
        _this.deleteMultiplyShare = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: GET_ACCOUNTS + ("/" + data.accountId + "/projects/" + data.projectId + "/shares"),
                headers: { 'content-Type': 'application/json' },
                data: data.shareIdArray,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getUserShare = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: GET_ACCOUNTS + ("/" + data.accountId + "/projects/" + data.projectId + "/shares"),
            });
            return proxy.httpResultProxy(promise, SharePageProxy);
        };
        _this.getShareToken = function (data) {
            var promise = _super.prototype.postWithoutToken.call(_this, {
                url: GET_ACCOUNTS + ("/" + data.accountId + "/projects/" + data.projectId + "/shares/" + data.sharedId + "/token"),
                data: data.body,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getPassword = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: GET_ACCOUNTS +
                    ("/" + data.accountId + "/projects/" + data.projectId + "/shares/" + data.sharedId + "/password"),
            });
            return proxy.httpResultProxy(promise);
        };
        _this.sendShareMsg = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/shares/" + data.shareId + "/sendmsg",
                data: data.body,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.addReceivedShare = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: GET_ACCOUNTS +
                    ("/" + data.accountId + "/projects/" + data.projectId + "/receivedShares/" + data.sharedId),
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getReceivedShare = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: GET_ACCOUNTS +
                    ("/" + data.accountId + "/projects/" + data.projectId + "/receivedShares"),
                params: data.query
            });
            return proxy.httpResultProxy(promise);
        };
        _this.deleteReceivedShare = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: GET_ACCOUNTS +
                    ("/" + data.accountId + "/projects/" + data.projectId + "/receivedShares"),
                data: data.body
            });
            return proxy.httpResultProxy(promise);
        };
        return _this;
    }
    return ShareService;
}(ServiceBase));
export { ShareService };
//# sourceMappingURL=share.js.map