var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import ServiceBase from '../base';
import { FileUploadHeader, UPLOAD_REQUEST_TIMEOUT } from '../context/context-base';
import * as proxy from '../proxy';
var GET_BUCKTES = '/buckets';
var StorageService = /** @class */ (function (_super) {
    __extends(StorageService, _super);
    function StorageService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.getBucket = function () {
            var promise = _super.prototype.get.call(_this, {
                url: GET_BUCKTES,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.postBucket = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: GET_BUCKTES,
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getObjects = function (data) {
            // bimbox-model-link
            var promise = _super.prototype.get.call(_this, {
                url: GET_BUCKTES + ("/" + data + "/objects"),
                params: data,
            });
            return proxy.httpResultProxy(promise);
        };
        // postObjects = (data) => {
        //   let promise = super.post(GET_BUCKTES + `/${data.bucketKey}/objects/${data.urn}`, JSON.stringify(data.data), '', {'Content-Type': 'application/octet-stream');
        //   return proxy.httpResultProxy(promise);
        // };
        _this.postObjects = function (data) {
            var _a;
            var promise = _super.prototype.post.call(_this, {
                url: data.uploadActionUrl,
                data: JSON.stringify(data.data),
                headers: (_a = {
                        'Content-Type': 'application/octet-stream'
                    },
                    _a[FileUploadHeader] = data.signature,
                    _a),
                timeout: UPLOAD_REQUEST_TIMEOUT,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getObjectsData = function (data) {
            // bimbox-model-link
            var promise = _super.prototype.get.call(_this, {
                url: GET_BUCKTES + ("/" + data.bucketKey + "/objects/" + data.id),
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getPublicObjectsData = function (data) {
            // bimbox-model-link
            var promise = _super.prototype.getWithoutToken.call(_this, {
                url: GET_BUCKTES + ("/" + data.bucketKey + "/objects/" + data.id + "?client_id=" + data.clientId),
            });
            return proxy.httpResultProxy(promise);
        };
        // getThumbnailSignature = (data) => {
        //   let promise = super.post(`/signedObjects${GET_BUCKTES}/${data.bucketKey}/objects/${data.objectKey}`, data.data)
        //   return proxy.httpResultProxy(promise)
        // }
        _this.getThumbnailSignature = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/signedObjects",
                data: data,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.detectFileExists = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/file/detectFileExists",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        return _this;
    }
    return StorageService;
}(ServiceBase));
export { StorageService };
//# sourceMappingURL=storage.js.map