var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as proxy from '../proxy';
import ServiceBase from '../base';
import { FlowGroupListProxy, FlowGroupProxy, FlowPageProxy, FlowProxy, TaskPageProxy, FlowStageProxy, TaskProxy, TaskStageProxy, TaskEnclosureProxy, TaskToDoProxy, TaskCommentsProxy, } from '../proxies/task-page-proxy';
var GET_PROCESS = '/process';
var GET_PROCESS_GROUPS = '/processGroups';
var GET_TASKS = '/tasks';
var TaskFlowService = /** @class */ (function (_super) {
    __extends(TaskFlowService, _super);
    function TaskFlowService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        // groups
        _this.getProcessGroups = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + GET_PROCESS_GROUPS,
            });
            return proxy.httpResultProxy(promise, FlowGroupListProxy);
        };
        _this.createdGroupName = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + GET_PROCESS_GROUPS,
                data: data.data,
            });
            return proxy.httpResultProxy(promise, FlowGroupProxy);
        };
        _this.updateGroupName = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + GET_PROCESS_GROUPS + "/" + data.id,
                data: data.data,
            });
            return proxy.httpResultProxy(promise, FlowGroupProxy);
        };
        _this.deleteGroupName = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + GET_PROCESS_GROUPS + "/" + data.id,
            });
            return proxy.httpResultProxy(promise, FlowGroupProxy);
        };
        // process
        _this.getProcess = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + GET_PROCESS,
                params: data.data,
            });
            return proxy.httpResultProxy(promise, FlowPageProxy);
        };
        //GET /accounts/{accountId}/projects/{projectId}/process/{processId} 根据 Id 获取 Process
        _this.getProcessInfo = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/process/" + data.id,
            });
            return proxy.httpResultProxy(promise, FlowProxy);
        };
        _this.createdProcess = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + GET_PROCESS,
            });
            return proxy.httpResultProxy(promise, FlowProxy);
        };
        // DELETE /accounts/{accountId}/projects/{projectId}/process 删除指定的 Process
        _this.deleteProcess = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + GET_PROCESS,
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        //DELETE /accounts/{accountId}/projects/{projectId}/process/{processId}/observers/{userId}  根据 id 移除抄送者
        _this.deleteProcessUser = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/process/" + data.processId + "/observers/" + data.userName,
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        //PUT /accounts/{accountId}/projects/{projectId}/process/move/groups/{groupId} 移动 Process 到某个分组
        _this.moveProcessToGroup = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/process/move/groups/" + data.id,
                data: data.data,
            });
            return proxy.httpResultProxy(promise, FlowProxy);
        };
        // /accounts/{accountId}/projects/{projectId}/process/{processId} 更新 Process
        _this.updateProcess = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/process/" + data.id,
                data: data.data,
            });
            return proxy.httpResultProxy(promise, FlowProxy);
        };
        // POST /accounts/{accountId}/projects/{projectId}/process/{processId}/observer 更新(添加) Process 的抄送者
        _this.addProcessObserver = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/process/" + data.id + "/observer",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, FlowProxy);
        };
        // POST /accounts/{accountId}/projects/{projectId}/process/copy 复制一个 Process
        _this.copyProcess = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/process/copy",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // stage
        // POST /accounts/{accountId}/projects/{projectId}/process/{processId}/stages  更新(添加) Process 的阶段
        _this.addProcessStages = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/process/" + data.id + "/stages",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, FlowProxy);
        };
        // DELETE /accounts/{accountId}/projects/{projectId}/process/{processId}/stages/{stageId} 删除阶段
        _this.deleteProcessStages = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/process/" + data.processId + "/stages/" + data.stageId,
            });
            return proxy.httpResultProxy(promise);
        };
        // Put /accounts/{accountId}/projects/{projectId}/process/{processId}/stages/{stageId}  更新 Process 下某一个 Stage
        _this.updateProcessStage = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/process/" + data.processId + "/stages/" + data.stageId,
                data: data.data,
            });
            return proxy.httpResultProxy(promise, FlowStageProxy);
        };
        // POST /accounts/{accountId}/projects/{projectId}/process/{processId}/stages/{stageId}/participants 给阶段新增执行者或抄送者
        _this.addProcessStageParticipants = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/process/" + data.processId + "/stages/" + data.stageId + "/participants",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, FlowStageProxy);
        };
        // DELETE /accounts/{accountId}/projects/{projectId}/process/{processId}/stages/{stageId}/participants 移除阶段的执行者或抄送者
        _this.deleteProcessStageParticipants = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/process/" + data.processId + "/stages/" + data.stageId + "/participants",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, FlowProxy);
        };
        // PUT /accounts/{accountId}/projects/{projectId}/process/{processId}/stages/{stageId}/order 更新 Stage 的排序
        _this.moveProcessStageOrder = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/process/" + data.processId + "/stages/" + data.stageId + "/order",
                data: data.data,
                headers: { 'content-type': 'application/json' },
            });
            return proxy.httpResultProxy(promise);
        };
        // task GET /accounts/{accountId}/projects/{projectId}/tasks  获取当前 Project 下的 Task
        _this.getTasks = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + GET_TASKS,
                params: data.data,
            });
            return proxy.httpResultProxy(promise, TaskPageProxy);
        };
        //POST  /accounts/{accountId}/projects/{projectId}/tasks 创建 Task
        _this.createdTask = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/tasks",
            });
            return proxy.httpResultProxy(promise, TaskProxy);
        };
        // DELETE /accounts/{accountId}/projects/{projectId}/tasks 批量删除 Task
        _this.deleteTask = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + GET_TASKS,
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // PUT /accounts/{accountId}/projects/{projectId}/tasks/state 更新 Task 的状态
        _this.updateTaskState = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + GET_TASKS + "/state",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // GET /accounts/{accountId}/projects/{projectId}/tasks/{taskId} 获取当前 Project 下的 Task
        _this.getTaskInfo = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + GET_TASKS + "/" + data.taskId,
            });
            return proxy.httpResultProxy(promise, TaskProxy);
        };
        // PUT /accounts/{accountId}/projects/{projectId}/tasks/{taskId} 更新 Task
        _this.updateTask = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + GET_TASKS + "/" + data.taskId,
                data: data.data,
            });
            return proxy.httpResultProxy(promise, TaskProxy);
        };
        // POST /accounts/{accountId}/projects/{projectId}/tasks/{taskId}/observers 新增抄送者
        _this.addTaskObservers = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + GET_TASKS + "/" + data.taskId + "/observers",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, TaskProxy);
        };
        // DELETE /accounts/{accountId}/projects/{projectId}/tasks/{taskId}/observers 删除抄送者
        _this.deleteTaskObservers = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + GET_TASKS + "/" + data.taskId + "/observers",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, TaskProxy);
        };
        // POST /accounts/{accountId}/projects/{projectId}/tasks/{taskId}/stages/{stageId}/participants 给 Task 的阶段新增执行者或抄送者
        _this.addParticipants = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/tasks/" + data.taskId + "/stages/" + data.stageId + "/participants",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, TaskStageProxy);
        };
        // DELETE /accounts/{accountId}/projects/{projectId}/tasks/{taskId}/stages/{stageId}/participants 移除 Task 的阶段的执行者或抄送者
        _this.deleteTaskParticipants = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/tasks/" + data.taskId + "/stages/" + data.stageId + "/participants",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, TaskStageProxy);
        };
        // DELETE /accounts/{accountId}/projects/{projectId}/tasks/{taskId}/todo/{todoId}删除待办事项
        _this.deleteTaskTodo = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/tasks/" + data.taskId + "/todo/" + data.todoId,
            });
            return proxy.httpResultProxy(promise);
        };
        // POST /accounts/{accountId}/projects/{projectId}/tasks/{taskId}/todo新增待办事项
        _this.createdTaskTodo = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/tasks/" + data.taskId + "/todo",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, TaskToDoProxy);
        };
        // POST /accounts/{accountId}/projects/{projectId}/tasks/{taskId}/todo新增待办事项
        _this.updateTaskTodo = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/tasks/" + data.taskId + "/todo/" + data.todoId,
                data: data.data,
            });
            return proxy.httpResultProxy(promise, TaskToDoProxy);
        };
        // PUT /accounts/{accountId}/projects/{projectId}/tasks/{taskId}/publish   Workflow 的'发布'操作
        _this.publishTask = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/tasks/" + data.taskId + "/publish",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, TaskStageProxy);
        };
        // PUT /accounts/{accountId}/projects/{projectId}/tasks/{taskId}/accept Workflow 的'通过'操作
        _this.acceptTask = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/tasks/" + data.taskId + "/accept",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, TaskStageProxy);
        };
        // POST /accounts/{accountId}/projects/{projectId}/tasks/{taskId}/comments 新增批注
        _this.addTaskComments = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/tasks/" + data.taskId + "/comments",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, TaskCommentsProxy);
        };
        // DELETE /accounts/{accountId}/projects/{projectId}/tasks/{taskId}/comments/{commentId} 删除批注
        _this.deleteTaskComment = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/tasks/" + data.taskId + "/comments/" + data.commentId,
            });
            return proxy.httpResultProxy(promise);
        };
        // POST /accounts/{accountId}/projects/{projectId}/tasks/{taskId}/enclosures 新增附件
        _this.addEnclosures = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/tasks/" + data.taskId + "/enclosures",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, TaskEnclosureProxy);
        };
        // DELETE /accounts/{accountId}/projects/{projectId}/tasks/{taskId}/enclosures/{enclosureId} 删除附件
        _this.deleteEnclosures = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/tasks/" + data.taskId + "/enclosures/" + data.enclosureId,
            });
            return proxy.httpResultProxy(promise);
        };
        // PUT /accounts/{accountId}/projects/{projectId}/tasks/{taskId}/reject Workflow 的'驳回'操作
        _this.updateRejectTask = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/tasks/" + data.taskId + "/reject",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // PUT /accounts/{accountId}/projects/{projectId}/tasks/{taskId}/transfer Workflow 的'移交'操作
        _this.updateTransferTask = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/tasks/" + data.taskId + "/transfer",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // POST /accounts/{accountId}/projects/{projectId}/tasks/search 根据条件获取当前Project下的Task
        _this.getWorkFlowTasks = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/tasks/search",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // GET /accounts/{accountId}/projects/{projectId}/workflowGroups  获取当前 Project 所有的 WorkflowGroup
        _this.getTaskGroups = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/workflowGroups",
                params: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // GET /accounts/{accountId}/projects/{projectId}/workflowGroups/{groupId}  获取当前 Project ID 为 groupId 的 WorkflowGroup
        _this.getTaskGroupsById = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/workflowGroups/" + data.groupId,
                params: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // POST /accounts/{accountId}/projects/{projectId}/workflowGroups  创建一个 Workflow 的 Group
        _this.createTaskGroupName = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/workflowGroups",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // PUT /accounts/{accountId}/projects/{projectId}/workflowGroups/{groupId}  更新 WorkflowGroup
        _this.updateTaskGroupName = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/workflowGroups/" + data.groupId,
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // DELETE /accounts/{accountId}/projects/{projectId}/workflowGroups/{groupId}  删除指定的 WorkflowGroup
        _this.deleteTaskGroupName = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/workflowGroups/" + data.groupId,
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // PUT /accounts/{accountId}/projects/{projectId}/workflowGroups/{groupId}/move  移动指定的 WorkflowGroup
        _this.moveTaskGroupName = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/workflowGroups/" + data.groupId + "/move",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // GET /accounts/{accountId}/projects/{projectId}/processTemplate  获取流程模板的相关信息
        _this.getProcessTemplate = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/processTemplate",
                params: data.data,
            });
            return proxy.httpResultProxy(promise, FlowProxy);
        };
        // POST /accounts/{accountId}/projects/{projectId}/process/batch  根据流程信息批量创建流程
        _this.createImportFlows = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + "/process/batch",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        return _this;
    }
    return TaskFlowService;
}(ServiceBase));
export { TaskFlowService };
//# sourceMappingURL=task-flow.js.map