var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as proxy from '../proxy';
import ServiceBase from '../base';
import { UPLOAD_REQUEST_TIMEOUT } from '../context/context-base';
var UploadService = /** @class */ (function (_super) {
    __extends(UploadService, _super);
    function UploadService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.uploadVersion = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/projects/" + data.projectId + "/file/" + data.fileId + "/versions/" + data.version,
                data: data.data,
                headers: { 'Content-Type': 'multipart/form-data' },
            });
            return proxy.httpResultProxy(promise);
        };
        _this.deleteAppFile = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: "/projects/" + data.projectId + "/file/" + data.fileId + "/appData",
                params: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.uploadFilePut = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: data.data.action,
                data: data.file,
                headers: data.data.headers,
                timeout: UPLOAD_REQUEST_TIMEOUT,
                cancelToken: data.cancelToken,
                onUploadProgress: data.onUploadProgress,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.uploadFilePost = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: data.data.action,
                data: data.file,
                headers: data.data.headers,
                timeout: UPLOAD_REQUEST_TIMEOUT,
                cancelToken: data.cancelToken,
                onUploadProgress: data.onUploadProgress,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.uploadAppFilePost = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: data.data.action,
                data: data.file,
                headers: data.data.headers,
                timeout: UPLOAD_REQUEST_TIMEOUT,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.uploadAppFile = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/projects/" + data.projectId + "/apps/" + data.appId + "/folder/" + data.folderId + "/file?fileName=" + data.fileName,
                data: JSON.stringify(data.data),
                headers: { 'Content-Type': 'application/octet-stream' },
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getAppFile = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/projects/" + data.projectId + "/file/" + data.fileId,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getAppFileVersion = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/projects/" + data.projectId + "/file/" + data.fileId + "/versions/" + data.version,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getUploadUrl = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/uploadUrl",
                params: data,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getFolder = function (data) {
            // GET /projects/{projectId}/folder/{folderId}
            var promise = _super.prototype.get.call(_this, {
                url: "/projects/" + data.projectId + "/folder/" + data.folderId,
            });
            return proxy.httpResultProxy(promise);
        };
        // POST /projects/{projectId}/file/multipart/init 初始化分片上传
        _this.initMultipart = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/projects/" + data.projectId + "/file/multipart/init",
                cancelToken: data.cancelToken,
            });
            return proxy.httpResultProxy(promise);
        };
        // POST /projects/{projectId}/file/multipart/upload 逐个上传分片文件
        _this.uploadMultipart = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/projects/" + data.projectId + "/file/multipart/upload",
                data: data.data,
                params: data.params,
                timeout: UPLOAD_REQUEST_TIMEOUT,
                cancelToken: data.cancelToken,
                onUploadProgress: data.onUploadProgress,
            });
            return proxy.httpResultProxy(promise);
        };
        // POST /projects/{projectId}/file/multipart/complete 完成分片上传文件
        _this.completeMultipart = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/projects/" + data.projectId + "/file/multipart/complete",
                data: data.data,
                timeout: data.requestTimeout,
                cancelToken: data.cancelToken,
            });
            return proxy.httpResultProxy(promise);
        };
        return _this;
    }
    return UploadService;
}(ServiceBase));
export { UploadService };
//# sourceMappingURL=upload.js.map