var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as proxy from '../proxy';
import ServiceBase from '../base';
import { UserModelProxy, UserResumesModelProxy } from '../proxies/user-model-proxy';
import { UserSecurityPageProxy } from '../proxies/user-security-page-proxy';
import { SimpleHttpRequestProxy } from '../proxies/simple-http-request-proxy';
import { UserPageProxy } from '../proxies/user-page-proxy';
// import ProjectListProxy from '../proxies/ProjectListProxy';
// import ProjectModelProxy from '../proxies/ProjectModelProxy';
var SAVE_USERINFO = '/users';
var UserService = /** @class */ (function (_super) {
    __extends(UserService, _super);
    function UserService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        // 获取用户信息 GET /users/username/{username}
        _this.getUser = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: SAVE_USERINFO + ("/" + data.username),
            });
            return proxy.httpResultProxy(promise, UserModelProxy);
        };
        // 获取用户的分页信息
        _this.getUsersPaging = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/users",
                params: data,
            });
            return proxy.httpResultProxy(promise, UserPageProxy);
        };
        // 修改用户详细信息 PUT /users/{username}
        _this.saveUser = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: SAVE_USERINFO + ("/" + data.username),
                data: data.data,
            });
            return proxy.httpResultProxy(promise, UserModelProxy);
        };
        _this.setDefaultAccount = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: SAVE_USERINFO + ("/" + data.userId + "/preferences"),
                data: data.data,
            });
            return proxy.httpResultProxy(promise, UserModelProxy);
        };
        _this.shiftUserState = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: "/users/" + data.id + "/state",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, UserModelProxy);
        };
        // 获取用户card信息 GET /users/card/{username}
        // getCard = (data) => {
        //   let promise = super.get(SAVE_USERINFO + `/card/${data.username}`);
        //   return proxy.httpResultProxy(promise);
        // };
        // save用户card信息 GET /users/card/{username}
        // putCard = (data) => {
        //   let promise = super.put(SAVE_USERINFO + `/card/${data.username}`, data.data);
        //   return proxy.httpResultProxy(promise);
        // };
        // 获取用户安全信息记录信息 GET /users/securityRecord
        _this.getSecuritLog = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: SAVE_USERINFO + "/securityRecord",
                params: data,
            });
            return proxy.httpResultProxy(promise, UserSecurityPageProxy);
        };
        _this.putUser = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: SAVE_USERINFO,
                data: data,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.deleteUser = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: SAVE_USERINFO,
                params: data,
            });
            return proxy.httpResultProxy(promise);
        };
        // 查询
        _this.getUsersByQuery = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: SAVE_USERINFO + '/search',
                params: data.params,
                headers: {
                    'Content-Type': 'application/json',
                },
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getMutiplyUserInfo = function (userAyyay) {
            var promise = _super.prototype.post.call(_this, {
                url: SAVE_USERINFO + '/search?matchType=2',
                data: userAyyay,
            });
            return proxy.httpResultProxy(promise);
        };
        // POST /users/{userId}/sendResetPwdLinkEmail 发送重置密码链接到邮箱
        _this.senResetPwdLinkEmail = function (data) {
            var promise = _super.prototype.postWithoutToken.call(_this, {
                url: SAVE_USERINFO + "/" + data.id + "/sendResetPwdLinkEmail",
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        // POST /users/verifyResetPwdSignature 检测重置密码的签证是否正确
        _this.isWithSignature = function (data) {
            var promise = _super.prototype.postWithoutToken.call(_this, {
                url: SAVE_USERINFO + "/verifyResetPwdSignature",
                data: data,
            });
            return proxy.httpResultProxy(promise);
        };
        // PUT /users/password/signature 根据签证重置密码
        _this.resetUserPwd = function (data) {
            var promise = _super.prototype.putWithoutToken.call(_this, {
                url: SAVE_USERINFO + "/password/signature",
                data: data,
            });
            return proxy.httpResultProxy(promise);
        };
        // POST /users/{userId}/resumes  创建一个履历
        _this.createdResumes = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: SAVE_USERINFO + "/" + data.username + "/resumes",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, UserResumesModelProxy);
        };
        // DELETE /users/{userId}/resumes/{resumeId}  修改一个履历
        _this.deleteResumes = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: SAVE_USERINFO + "/" + data.username + "/resumes/" + data.resumeId,
            });
            return proxy.httpResultProxy(promise, UserResumesModelProxy);
        };
        // PUT /users/{userId}/resumes/{resumeId}  修改一个履历
        _this.editResumes = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: SAVE_USERINFO + "/" + data.username + "/resumes/" + data.resumeId,
                data: data.data,
            });
            return proxy.httpResultProxy(promise, UserResumesModelProxy);
        };
        // PUT /users/{userId}/bind  绑定接口
        _this.bindByCode = function (data) {
            var promise = _super.prototype.put.call(_this, {
                url: SAVE_USERINFO + "/" + data.username + "/bind",
                data: data.data,
            });
            return proxy.httpResultProxy(promise, UserResumesModelProxy);
        };
        // 我的推广信息
        _this.getMyInviteInfo = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: "/stats" + SAVE_USERINFO + "/" + data.userId + "/inviteinfo?withInviteAmount=false",
            });
            return proxy.httpResultProxy(promise, UserModelProxy);
        };
        // 检查用户是否存在
        _this.checkExist = function (data) {
            var promise = _super.prototype.getWithoutToken.call(_this, {
                url: SAVE_USERINFO + "/checkExist",
                params: data,
            });
            return proxy.httpResultProxy(promise, UserModelProxy);
        };
        return _this;
    }
    // 注册用户
    UserService.prototype.postSignUpUser = function (data) {
        var promise = _super.prototype.post.call(this, {
            url: SAVE_USERINFO,
            data: data,
        });
        return proxy.httpResultProxy(promise, UserModelProxy);
    };
    UserService.prototype.postSignUpUserWithoutToken = function (data) {
        var promise = _super.prototype.postWithoutToken.call(this, {
            url: SAVE_USERINFO,
            data: data,
        });
        return proxy.httpResultProxy(promise, UserModelProxy);
    };
    // 修改密码 PUT /users/password/{username}
    UserService.prototype.putPassword = function (data) {
        var promise = _super.prototype.put.call(this, {
            url: SAVE_USERINFO + ("/" + data.username + "/password"),
            data: data.data,
        });
        return proxy.httpResultProxy(promise, SimpleHttpRequestProxy);
    };
    // 修改邮箱 PUT /users/email/{username}
    UserService.prototype.putEditEmail = function (data) {
        var promise = _super.prototype.put.call(this, {
            url: SAVE_USERINFO + ("/" + data.username + "/email"),
            data: data.data,
        });
        return proxy.httpResultProxy(promise, SimpleHttpRequestProxy);
    };
    return UserService;
}(ServiceBase));
export { UserService };
//# sourceMappingURL=user.js.map