import { FolderPermissionModel, FolderPermissionPageModel, PermissionGroupModel, RoleModel } from '../model/auth';
var RoleProxy = /** @class */ (function () {
    function RoleProxy(responseData) {
        this.role = new RoleModel();
        var data = responseData.data || responseData;
        Object.assign(this.role, data);
    }
    RoleProxy.prototype.getModel = function () {
        return this.role;
    };
    return RoleProxy;
}());
var RolesProxy = /** @class */ (function () {
    function RolesProxy(responseData) {
        var _this = this;
        this.roles = [];
        var data = responseData.data || responseData;
        data.roles.map(function (role) {
            var newRole = new RoleModel();
            _this.roles.push(Object.assign(newRole, role));
        });
    }
    RolesProxy.prototype.getModel = function () {
        return this.roles;
    };
    return RolesProxy;
}());
var PermissionProxy = /** @class */ (function () {
    function PermissionProxy(responseData) {
        this.permission = new PermissionGroupModel();
        var data = responseData.data || responseData;
        Object.assign(this.permission, data);
    }
    PermissionProxy.prototype.getModel = function () {
        return this.permission;
    };
    return PermissionProxy;
}());
var PermissionsProxy = /** @class */ (function () {
    function PermissionsProxy(responseData) {
        var _this = this;
        this.permissions = [];
        var data = responseData.data || responseData;
        data.addinPermissions.map(function (role) {
            var newPermission = new PermissionGroupModel();
            _this.permissions.push(Object.assign(newPermission, role));
        });
    }
    PermissionsProxy.prototype.getModel = function () {
        return this.permissions;
    };
    return PermissionsProxy;
}());
var FolderPermissionProxy = /** @class */ (function () {
    function FolderPermissionProxy(responseData) {
        this.folderPermission = new FolderPermissionModel();
        var data = responseData.data;
        Object.assign(this.folderPermission, data);
    }
    FolderPermissionProxy.prototype.getModel = function () {
        return this.folderPermission;
    };
    return FolderPermissionProxy;
}());
var FolderPagePermissionProxy = /** @class */ (function () {
    function FolderPagePermissionProxy(responseData) {
        this.folderPermission = new FolderPermissionPageModel();
        var data = responseData;
        Object.assign(this.folderPermission, data);
    }
    FolderPagePermissionProxy.prototype.getModel = function () {
        return this.folderPermission;
    };
    return FolderPagePermissionProxy;
}());
export { RoleProxy, RolesProxy, PermissionProxy, PermissionsProxy, FolderPermissionProxy, FolderPagePermissionProxy };
//# sourceMappingURL=auth-proxy.js.map