import { FlowGroupModel, FlowGroupPageModel, FlowModel, FlowPageModel, TaskModel, TaskPageModel, ProcessStageModel, TaskStageModel, TaskEnclosureModel, TaskTodoModel, TaskCommentModel } from '../model/task-flow';
// task
var TaskPageProxy = /** @class */ (function () {
    function TaskPageProxy(responseData) {
        this.taskPage = new TaskPageModel();
        var data = responseData;
        Object.assign(this.taskPage, data);
    }
    TaskPageProxy.prototype.getModel = function () {
        return this.taskPage;
    };
    return TaskPageProxy;
}());
var TaskProxy = /** @class */ (function () {
    function TaskProxy(responseData) {
        this.task = new TaskModel();
        var data = responseData.data || responseData;
        Object.assign(this.task, data);
    }
    TaskProxy.prototype.getModel = function () {
        return this.task;
    };
    return TaskProxy;
}());
var TaskStageProxy = /** @class */ (function () {
    function TaskStageProxy(responseData) {
        this.taskStage = new TaskStageModel();
        var data = responseData.data || responseData;
        Object.assign(this.taskStage, data);
    }
    TaskStageProxy.prototype.getModel = function () {
        return this.taskStage;
    };
    return TaskStageProxy;
}());
var TaskEnclosureProxy = /** @class */ (function () {
    function TaskEnclosureProxy(responseData) {
        var _this = this;
        this.taskEnclosures = [];
        var data = responseData.data || responseData;
        // 这里因为不需要分页，所以没有定义附件的分页model，直接使用data.items获取主要内容
        if (data.items) {
            data.items.map(function (item) {
                var taskEnclosure = new TaskEnclosureModel();
                _this.taskEnclosures.push(Object.assign(taskEnclosure, item));
            });
        }
    }
    TaskEnclosureProxy.prototype.getModel = function () {
        return this.taskEnclosures;
    };
    return TaskEnclosureProxy;
}());
var TaskCommentsProxy = /** @class */ (function () {
    function TaskCommentsProxy(responseData) {
        var _this = this;
        this.taskComments = [];
        var data = responseData.data || responseData;
        // 这里因为不需要分页，所以没有定义附件的分页model，直接使用data.items获取主要内容
        if (data.items) {
            data.items.map(function (item) {
                var taskComment = new TaskCommentModel();
                _this.taskComments.push(Object.assign(taskComment, item));
            });
        }
    }
    TaskCommentsProxy.prototype.getModel = function () {
        return this.taskComments;
    };
    return TaskCommentsProxy;
}());
var TaskToDoProxy = /** @class */ (function () {
    function TaskToDoProxy(responseData) {
        this.taskToDo = new TaskTodoModel();
        var data = responseData.data || responseData;
        Object.assign(this.taskToDo, data);
    }
    TaskToDoProxy.prototype.getModel = function () {
        return this.taskToDo;
    };
    return TaskToDoProxy;
}());
// flow
var FlowPageProxy = /** @class */ (function () {
    function FlowPageProxy(responseData) {
        this.flowPage = new FlowPageModel();
        Object.assign(this.flowPage, responseData);
    }
    FlowPageProxy.prototype.getModel = function () {
        return this.flowPage;
    };
    return FlowPageProxy;
}());
var FlowProxy = /** @class */ (function () {
    function FlowProxy(responseData) {
        this.flow = new FlowModel();
        Object.assign(this.flow, responseData.data);
    }
    FlowProxy.prototype.getModel = function () {
        return this.flow;
    };
    return FlowProxy;
}());
// stage ProcessStageModel
var FlowStageProxy = /** @class */ (function () {
    function FlowStageProxy(responseData) {
        this.stage = new ProcessStageModel();
        Object.assign(this.stage, responseData.data);
    }
    FlowStageProxy.prototype.getModel = function () {
        return this.stage;
    };
    return FlowStageProxy;
}());
// group
var FlowGroupListProxy = /** @class */ (function () {
    function FlowGroupListProxy(responseData) {
        this.flowGroupList = new FlowGroupPageModel();
        Object.assign(this.flowGroupList, responseData);
    }
    FlowGroupListProxy.prototype.getModel = function () {
        return this.flowGroupList;
    };
    return FlowGroupListProxy;
}());
var FlowGroupProxy = /** @class */ (function () {
    function FlowGroupProxy(responseData) {
        this.flowGroup = new FlowGroupModel();
        Object.assign(this.flowGroup, responseData.data);
    }
    FlowGroupProxy.prototype.getModel = function () {
        return this.flowGroup;
    };
    return FlowGroupProxy;
}());
export { TaskPageProxy, TaskProxy, TaskStageProxy, TaskEnclosureProxy, TaskCommentsProxy, TaskToDoProxy, FlowPageProxy, FlowProxy, FlowStageProxy, FlowGroupListProxy, FlowGroupProxy };
//# sourceMappingURL=task-page-proxy.js.map