import { PageModel } from './common';
declare class AccountModel {
    id: string;
    createAt: number;
    description: string;
    name: string;
    updateAt: number;
    userName: string;
    isPublic: boolean;
    memberState: number;
    profile: AccountProfileModel;
    enabled: boolean;
    open: boolean;
    loginPanelAnchor: string;
}
declare class AccountListModel {
    count: number;
    items: AccountModel[];
}
declare class AccountPageModel extends PageModel {
    data: AccountListModel;
}
declare class AccountProfileModel {
    emailHost: string;
    emailUserName: string;
    emailPassword: string;
    emailAddress: string;
    emailDefaultEncoding: string;
    logoLink: string;
    contacts: string;
    contactNumber: string;
    country: string;
    province: string;
    district: string;
    city: string;
    address: string;
    active: boolean;
    createAt: string;
    updateAt: string;
}
declare class AccountEmailInscribe {
    accountId: string;
    createAt: number;
    id: string;
    inscribe: string;
    updateAt: number;
}
declare class PublicAccountInfoModel {
    clientId: string;
    id: string;
    name: string;
    loginBackground: string;
    loginPanelAnchor: string;
}
export { AccountModel, AccountListModel, AccountPageModel, AccountProfileModel, AccountEmailInscribe, PublicAccountInfoModel };
//# sourceMappingURL=account.d.ts.map