import { ListModel, PageModel } from './common';
declare class CommentModel {
    id: string;
    clientId: string;
    owner: string;
    replies: CommentReplyModel[];
    targetUrn: string;
    targetVersion: string;
    targetItemPath: string;
    state: string;
    attachments: AttachmentModel[];
    content: CommentContentModel;
    mentions: MentionsModel[];
    context: string;
    tag: string;
    createAt: number;
    updateAt: number;
    targetItemWhereIs: string;
}
declare class CommentReplyModel {
    id: string;
    clientId: string;
    replier: string;
    content: CommentContentModel;
    mentions: MentionsModel[];
    attachments: AttachmentModel[];
    context: string;
    createAt: number;
    state: number;
    targetVersion: string;
    tag: string;
}
declare class CommentContentModel {
    content: string;
}
declare class AttachmentModel {
    targetUrn: string;
    targetName: string;
}
declare class MentionsModel {
    userName: string;
    realName: string;
}
declare class CommentListModel extends ListModel {
    items: CommentModel[];
}
declare class CommentPageModel extends PageModel {
    data: CommentListModel;
}
export { CommentModel, CommentReplyModel, AttachmentModel, MentionsModel, CommentPageModel };
//# sourceMappingURL=comment.d.ts.map