import { ListInterFace, ListModel, PageListInterface, PageModel } from './common';
declare class FileModel {
    active: boolean;
    client_id: string;
    create_at: number;
    current_version: number;
    current_version_size: number;
    external_id: string;
    id: string;
    locked: boolean;
    lockedAt: number;
    lockedBy: string;
    name: string;
    owner: string;
    parent_id: string;
    path: string;
    project_id: string;
    update_at: number;
    versions: VersionModel[];
}
declare class FolderModel {
    active: boolean;
    client_id: string;
    create_at: number;
    external_id: string;
    id: string;
    locked: boolean;
    lockedAt: number;
    lockedBy: string;
    name: string;
    owner: string;
    parent_id: string;
    path: string;
    update_at: number;
    user_data: string;
}
declare class VersionModel {
    active: boolean;
    comments: string;
    create_at: number;
    entry_id: string;
    id: number;
    owner: string;
    size: number;
    update_at: number;
    version: number;
}
declare class FileListModel extends ListModel {
    file_count: number;
    files: FileModel[];
    folder_count: number;
    folders: FolderModel[];
}
declare class FilePageModel extends PageModel {
    data: FileListModel;
}
declare class FolderInfoModel {
    accountId: string;
    projectId: string;
    folderId: string;
    parentId: string;
    name: string;
    owner: string;
    clientId: string;
    path: string;
    createAt: string;
    updataAt: string;
    active: boolean;
}
declare class FilePathModel {
    id: string;
    name: string;
    brothers: NodeSimpleModel[];
    child: FilePathModel;
}
declare class NodeSimpleModel {
    id: string;
    name: string;
}
declare class SubscriptionModel {
    clientId: string;
    createAt: number;
    id: string;
    projectId: string;
    subscriber: string;
    targetName: string;
    targetPath: string;
    targetUrn: string;
}
declare class CollectionModel {
    clientId: string;
    createAt: number;
    id: string;
    projectId: string;
    collector: string;
    targetName: string;
    targetPath: string;
    targetUrn: string;
}
declare class SubscriptionPageModel extends PageModel implements PageListInterface<SubscriptionModel> {
    data: ListInterFace<SubscriptionModel>;
}
declare class CollectionPageModel extends PageModel implements PageListInterface<CollectionModel> {
    data: ListInterFace<CollectionModel>;
}
export { FileModel, FolderModel, FilePageModel, FolderInfoModel, FilePathModel, SubscriptionModel, CollectionModel, SubscriptionPageModel, CollectionPageModel };
//# sourceMappingURL=file.d.ts.map