import { PageModel } from './common';
declare class ItemsMessageModel {
    items: MessageModel[];
    count: number;
}
declare class MessageOperationResultModel {
    result: string;
    resultNotes: string;
}
declare class MessageReceiversModel {
    receiverUrn: string;
    receiverType: number;
    userBasicInfo: MessageUserBasicInfoModel;
}
declare class MessageModel {
    id: string;
    enclosures: BoxEnclosuresModel[];
    messageType: number;
    title: string;
    accountId: string;
    projectId: string;
    messageBody: string;
    sender: string;
    userBasicInfo: MessageUserBasicInfoModel;
    level: string;
    tag: string;
    receivers: MessageReceiversModel[];
    createAt: number;
    unread: boolean;
    operationResult: MessageOperationResultModel;
    updateAt: number;
    projectName: string;
    accountName: string;
}
declare class BoxEnclosuresModel {
    resourceUrn: string;
    resourceOwner: string;
    resourceName: string;
}
declare class MessageUserBasicInfoModel {
    realName: string;
    email: string;
    phoneNumber: string;
}
declare class MessagePageModel extends PageModel {
    data: ItemsMessageModel;
}
export { MessageModel, MessagePageModel };
//# sourceMappingURL=message.d.ts.map