import { ProjectMemberModel } from './member';
import { EventModel, EventPageModel } from './event';
declare class ProjectModel {
    name: string;
    avatarLink: string;
    maxMemberCount: number;
    maxStorageSize: number;
    accountId: string;
    active: boolean;
    clientId: string;
    createAt: number;
    id: string;
    owner: string;
    projectId: string;
    thumbnail: string;
    updateAt: number;
    userData: string;
    cycle: string;
    address: string;
    size: string;
    type: string;
    province: string;
    city: string;
    district: string;
}
declare class QuotaModel {
    id: string;
    memberCount: number;
    storageSize: number;
    sfsSize: number;
    projectAdmins: SimpleUserModel[];
}
declare class SimpleUserModel {
    username: string;
    email: string;
    realName: string;
}
declare class ActivityModel extends EventModel {
}
declare class ActivityPageModel extends EventPageModel {
}
declare class ProjectPageModel {
    count: number;
    data: {
        count: number;
        items: ProjectModel[];
    };
    first: boolean;
    hasNext: boolean;
    hasPrevious: boolean;
    last: boolean;
    pageNumber: number;
    pageSize: number;
    totalPage: number;
    totalElements: number;
}
declare class GroupModel {
    createAt: number;
    id: string;
    memberModels: ProjectMemberModel[];
    name: string;
    parentId: string;
    projectId: string;
    upDateAt: string;
    userData: string;
    order: number;
    tag: number;
}
declare class ItemGroup {
    count: number;
    items: GroupModel[];
}
declare class AccountItemGroup {
    accountMemberGroups: GroupModel[];
}
export { ProjectModel, ActivityModel, ActivityPageModel, ProjectPageModel, QuotaModel, GroupModel, ItemGroup, AccountItemGroup };
//# sourceMappingURL=projects.d.ts.map