import { ListModel, PageModel } from './common';
declare class ProcessStageModel {
    name: string;
    order: string;
    executors: string;
    observers: string;
    passType: string;
    canReject: string;
    executionTime: string;
    alarm: string;
    earlyWarningTime: string;
    passTime: string;
    description: string;
    id: string;
}
declare class FlowProcessGroupModel {
    name: string;
    type: string;
    id: string;
    projectId: string;
    createAt: number;
    updateAt: number;
}
declare class FlowModel {
    id: string;
    projectId: string;
    name: string;
    creator: string;
    description: string;
    groupModel: FlowProcessGroupModel;
    observers: string[];
    stageModels: ProcessStageModel[];
    createAt: number;
    updateAt: number;
}
declare class FlowListModel {
    items: FlowModel[];
    count: number;
}
declare class FlowPageModel extends PageModel {
    data: FlowListModel;
}
declare class TaskModel {
    id: string;
    projectId: string;
    status: string;
    creator: string;
    name: string;
    deadline: string;
    open: boolean;
    processName: string;
    processId: string;
    stageModels: TaskStageModel[];
    currentStage: string;
    historyModels: HistoryModel[];
    enclosureModels: TaskEnclosureModel[];
    comments: TaskCommentModel[];
    todoModels: TaskTodoModel[];
    observers: string[];
    pubdate: string;
    createAt: string;
    updateAt: string;
    privilege: TaskPrivilegeModel;
    overdue: boolean;
    archivedBy: string;
}
declare class TaskCommentModel {
    id: string;
    commentId: string;
    name: string;
}
declare class TaskStageModel {
    name: string;
    order: number;
    executors: string[];
    observers: string[];
    passType: string;
    canReject: boolean;
    executionTime: number;
    alarm: boolean;
    earlyWarningTime: number;
    passTime: number;
    description: string;
    id: string;
}
declare class TaskEnclosureModel {
    resourceUrn: string;
    resourceOwner: string;
    userData: string;
    id: string;
}
declare class HistoryModel {
    type: number;
    operator: string;
    content: string;
    description: string;
    stageId: string;
    id: string;
    createAt: number;
}
declare class TaskTodoModel {
    id: string;
    finish: boolean;
    content: boolean;
}
declare class TaskPrivilegeModel {
    action: number;
    canArchived: boolean;
    canModifyComment: boolean;
    canModifyDeadline: boolean;
    canModifyEnclosure: boolean;
    canModifyName: boolean;
    canModifyObserver: boolean;
    canModifyOpen: boolean;
    canModifyParticipant: boolean;
    canModifyTodo: boolean;
    canModifyType: boolean;
    canDelete: boolean;
    canStop: boolean;
}
declare class TaskListModel extends ListModel {
    items: TaskModel[];
}
declare class TaskPageModel extends PageModel {
    data: TaskListModel;
}
declare class FlowGroupModel {
    name: string;
    type: string;
    id: string;
    projectId: string;
    createAt: number;
    updateAt: number;
}
declare class FlowGroupListModel {
    items: FlowGroupModel[];
    count: number;
}
declare class FlowGroupPageModel extends PageModel {
    data: FlowGroupListModel;
}
export { TaskPageModel, TaskModel, TaskStageModel, TaskEnclosureModel, TaskCommentModel, TaskTodoModel, FlowPageModel, ProcessStageModel, FlowModel, FlowGroupModel, FlowGroupListModel, FlowGroupPageModel };
//# sourceMappingURL=task-flow.d.ts.map