import { ListModel, PageModel } from './common';
declare class UserModel {
    id: string;
    username: string;
    password: string;
    email: string;
    phoneNumber: number;
    realName: string;
    gender: string;
    qqNumber: string;
    birthDate: number;
    company: string;
    department: string;
    province: string;
    city: string;
    address: string;
    postcode: string;
    lastLoginTime: number;
    title: string;
    avatarLink: string;
    remark: string;
    isPublic: boolean;
    enabled: boolean;
    createAt: number;
    updateAt: number;
    cardSetting: string;
    education: string;
    workTime: number;
    titleCertificate: string;
    professionCertificate: string;
    country: string;
    resumes: ResumesModel[];
}
declare class ResumesModel {
    previousPosition: string;
    workYears: string;
}
declare class UserListModel {
    count: number;
    items: UserModel[];
}
declare class UserPageModel extends PageModel {
    data: UserListModel;
}
declare class UserBasicInfoModel {
    email: string;
    phoneNumber: string;
    realName: string;
}
declare class UserNameCardModel {
    address: string;
    avatarLink: string;
    cardSetting: string;
    city: string;
    company: string;
    email: string;
    phoneNumber: string;
    province: string;
    realName: string;
    title: string;
}
declare class SecurityListModel extends ListModel {
    items: SecurityModel[];
}
declare class SecurityPageModel extends PageModel {
    data: SecurityListModel;
}
declare class SecurityModel {
    createAt: number;
    loginCity: string;
    loginIp: string;
    loginTime: number;
    type: number;
    updateAt: number;
}
declare class SimpleSuccessHttpRequestModel {
    data: boolean;
}
export { UserModel, UserPageModel, UserBasicInfoModel, UserNameCardModel, SecurityPageModel, SecurityModel, SimpleSuccessHttpRequestModel, ResumesModel };
//# sourceMappingURL=user.d.ts.map